using Ninject.Extensions.ChildKernel;
using VisionBuilder.UI.Common;
using VisionBuilder.UI.Common.Processing;

namespace VisionBuilder.UI.Recipes.HawkeyeRecipe;

public static class ModuleExtensions
{
    public static IChildKernel UseHawkeyeRecipes(this IChildKernel self, string cameraName)
    {
        self.Bind<HawkeyeRecognitionSettings,BaseRecognitionControlSettings ,ISettings>().ToConstant(new HawkeyeRecognitionSettings(cameraName));
        self.Bind<IRecognitionControl>().To<HawkeyeRecognitionControl>().InSingletonScope();
        return self;
    }
}